Subject: [scim] API 08 and Core Schema 07 drafts posted

From: Phil Hunt <[email-masked]>
Date: Fri, 1 Aug 2014 15:12:10 -0700

For your info, the core-schema and api drafts have been updated to reflect all of the recently received comments, including those from our Toronto meeting.
https://datatracker.ietf.org/doc/draft-ietf-scim-core-schema/
https://datatracker.ietf.org/doc/draft-ietf-scim-api/

A couple of editorial notes:

* Bulk Requests - Kelly pointed out that the error responses were not correct (based on the new detail error format) and asked if responses should include the normal per operation response body.  I have updated the spec in a least disruptive fashion for now.  That is to say, that errors are provided in a “response” attribute for each attribute and the “status” attribute is now a simple attribute reporting the HTTP status code. For successful operation responses, the “response” attribute (holding the normal response body) remains optional.

* IANA - I have not yet updated the IANA registry and schema namepsaces per the Toronto meeting. The plan is that all Schema URIs will change from urn:scim:… to urn:ietf:params:scim…

Apologies, I will be away on vacation and will catch up on feedback late next week.

Phil

@independentid
www.independentid.com
[email-masked]